Draft FlipDimension/en: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(2 intermediate revisions by the same user not shown)
Line 4: Line 4:
|[[Draft_Slope|Slope]]
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconR=Draft_Shape2DView.svg
Line 12: Line 12:
{{GuiCommand
{{GuiCommand
|Name=Draft FlipDimension
|Name=Draft FlipDimension
|MenuLocation=Modification → Flip dimension<br>Utilities → Flip dimension
|MenuLocation=Modification → Flip dimension
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|Workbenches=[[Draft_Workbench|Draft]], [[Arch_Workbench|Arch]]
}}
}}


Line 24: Line 24:
# Select one or more [[Draft_Dimension|Draft Dimensions]].
# Select one or more [[Draft_Dimension|Draft Dimensions]].
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_FlipDimension.svg|16px]] [[Draft_FlipDimension|Draft FlipDimension]]}} button.
#* Press the {{Button|[[Image:Draft_FlipDimension.svg|16px]] [[Draft_FlipDimension|Flip dimension]]}} button.
#* Select the {{MenuCommand|Modification → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.
#* Select the {{MenuCommand|Modification → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.
#* Select the {{MenuCommand|Utilities → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.


==Notes==
==Notes==
Line 60: Line 59:
|[[Draft_Slope|Slope]]
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconR=Draft_Shape2DView.svg

Latest revision as of 19:54, 7 December 2023

Draft FlipDimension

Menu location
Modification → Flip dimension
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

The Draft FlipDimension command rotates the dimension text of selected Draft Dimensions 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.

Usage

  1. Select one or more Draft Dimensions.
  2. There are several ways to invoke the command:
    • Press the Flip dimension button.
    • Select the Modification → Flip dimension option from the menu.

Notes

  • Draft Dimensions also have a DataFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()